TypeTokenFilter (Lucene 3.6.2 API)
Keywords: org.apache.lucene.analysis.TypeTokenFilter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis
Class TypeTokenFilter

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.analysis.TokenFilter
                  org.apache.lucene.analysis.FilteringTokenFilter
                      org.apache.lucene.analysis.TypeTokenFilter

All Implemented Interfaces:
  Closeable

    public final class TypeTokenFilter

extends FilteringTokenFilter

Removes tokens whose types appear in a set of blocked types from a token stream.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`AttributeSource.AttributeFactory, AttributeSource.State`

Field Summary

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`TypeTokenFilter(boolean enablePositionIncrements, TokenStream input, Set<String> stopTypes)`
`TypeTokenFilter(boolean enablePositionIncrements, TokenStream input, Set<String> stopTypes, boolean useWhiteList)`

Method Summary
`protected boolean` | `accept()` By default accept the token if its type is not a stop type.

Methods inherited from class org.apache.lucene.analysis.FilteringTokenFilter
`getEnablePositionIncrements, incrementToken, reset, setEnablePositionIncrements`

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close, end`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TypeTokenFilter

    public TypeTokenFilter(boolean enablePositionIncrements,
                           TokenStream input,
                           Set<String> stopTypes,
                           boolean useWhiteList)

### TypeTokenFilter

    public TypeTokenFilter(boolean enablePositionIncrements,
                           TokenStream input,
                           Set<String> stopTypes)

Method Detail

### accept

    protected boolean accept()
                      throws IOException

  By default accept the token if its type is not a stop type. When the useWhiteList parameter is set to true then accept the token if its type is contained in the stopTypes

  Specified by:
    `accept` in class `FilteringTokenFilter`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD